/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { Image } from '../utils/aws-ecs-utils.js';
type AwsEcsInfoProps = Widget & {
    region: string;
    accountId: string;
    clusterName: string;
    serviceName: string;
};
type AwsEcsInfoType = AwsEcsInfoProps & {
    serviceArn: string;
    clusterArn: string;
    runningCount: number;
    desiredCount: number;
    capacity: number;
    asgArn: string;
    memory: string;
    cpu: string;
    taskDefinitionArn: string;
    status: string;
    roleArn: string;
    execRoleArn: string;
    images: Image[];
};
export declare class AwsEcsInfo extends BaseWidget {
    static type: string;
    region: string;
    accountId: string;
    clusterName: string;
    serviceName: string;
    serviceArn: string;
    clusterArn: string;
    runningCount: number;
    desiredCount: number;
    capacity: number;
    asgArn: string;
    memory: string;
    cpu: string;
    taskDefinitionArn: string;
    status: string;
    roleArn: string;
    execRoleArn: string;
    images: Image[];
    constructor(props: AwsEcsInfoProps);
    static fromJson(object: AwsEcsInfoProps): AwsEcsInfo;
    toJson(): AwsEcsInfoType;
    getData(providers?: BaseProvider[]): Promise<void>;
    render(): JSX.Element;
}
export {};
