/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseWidget } from '@tinystacks/ops-core';
type JsonTreeProps = Widget & {
    jsonObject: {
        [key: string]: any;
    };
    paths: {
        pathDisplayName: string;
        path: string;
    }[];
    filteredJson: {
        pathDisplayName: string;
        json: string;
    }[];
};
export declare class JsonTree extends BaseWidget {
    static type: string;
    jsonObject: {
        [key: string]: any;
    };
    paths: {
        pathDisplayName: string;
        path: string;
    }[];
    private _filteredJson;
    constructor(props: JsonTreeProps);
    static fromJson(object: JsonTreeProps): JsonTree;
    toJson(): JsonTreeProps;
    getData(): void;
    get filteredJson(): {
        pathDisplayName: string;
        json: string;
    }[];
    set filteredJson(_filteredJson: {
        pathDisplayName: string;
        json: string;
    }[]);
    render(): JSX.Element;
}
export {};
